%define name libxdg-basedir
%define version 1.2.0


Summary:    Implementation of the XDG Base Directory Specifications
Name:       %{name}
Version:    %{version}
Release:    %mkrel 2
Group:      System/Libraries
License:    MIT
URL:        http://n.ethz.ch/student/nevillm/download/libxdg-basedir
Source0:    http://n.ethz.ch/student/nevillm/download/libxdg-basedir/%{name}-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:  %name < %version

%description
The XDG Base Directory Specification defines where should user files 
be looked for by defining one or more base directories relative in 
with they should be located.

This library implements functions to list the directories according 
to the specification and provides a few higher-level functions.


%package  devel
Summary:  Development files for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure2_5x --disable-static
%make doxygen-run
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Nov 18 2017 bb2 <bb2> - 1.2.0-2pclos2017
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 1.2.0-1.1pclos2017
- rebuilt
